package AST;


import java.util.ArrayList;
import java.util.List;

public class ASTCompoundStatement extends ASTStatement {
	
	private final List<ASTStatement> statements = new ArrayList<ASTStatement>();
	
	public ASTCompoundStatement() {
	}
	
	public List<ASTStatement> getStatements() {
		return statements;
	}
	
	public void addStatement(ASTStatement stat) {
		statements.add(stat);
	}

	public void accept(ASTVisitor visitor) {
		visitor.visitCompoundStatement(this);
	}
	
	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder("{");
		for (ASTStatement stat : statements) {
			sb.append(stat.toString());
			sb.append(";");
		}
		sb.append("}");
		
		return sb.toString();
	}
}
